Bug 1006402 - Uninformative error message when trying to do disk alignment on disk that has snapshots while VM is running.
Uninformative error message when trying to do disk alignment on disk that has...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity high
: ---
: 3.3.0
Assigned To: Sergey Gotliv
Elad
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 10:43 EDT by Leonid Natapov
Modified: 2016-02-10 11:36 EST (History)
8 users (show)

See Also:
Fixed In Version: is15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:14:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19177 None None None Never

  None (edit)
Description Leonid Natapov 2013-09-10 10:43:44 EDT
Description of problem:

Uninformative error message when trying to do disk alignment on disk that has snapshots while VM is running. The error message that user gets is:
"Error while executing action: Cannot scan alignment Virtual Machine Disk. VM is running."

Scan alignment VM disk on running VN can be done but only if there are no snapshots exist.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.Create VM with disk.
2.Create snapshot.
3.Run VM
4.Try to align disk.

Actual results:


Expected results:


Additional info:
Comment 1 Elad 2013-09-23 08:25:23 EDT
Still getting the same error, fix is not merged to is15. After talking with Sergey, we will wait till the next build in order to be able to verify
Comment 2 Elad 2013-09-23 09:29:42 EDT
Sorry, checked with is14.
With latest build (is15), I'm getting the appropriate message:
 "Error while executing action: Cannot scan alignment Virtual Machine Disk. Alignment scan of a disk attached to a running VM is only supported with RAW virtual disks."


Verified with is15:
rhevm-3.3.0-0.22.master.el6ev.noarch
Comment 3 Itamar Heim 2014-01-21 17:14:04 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:21:53 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.